Skip to main content

Language Options

Getting a widget in a specific language requires passing the desired language as a parameter in the Accept-Language header with requests to the get widget URL endpoint.

If no header is provided, widgets will default to en-US.

The following languages are supported in all widgets for both the Platform API and the SSO API: en-CA, en-US, es, fr, fr-CA.

Request
Language:shell

_10
curl -i -X POST https://int-sso.moneydesktop.com/{client_id}/users/{id}/urls.xml \
_10
-H 'Content-Type: application/vnd.moneydesktop.sso.v3+xml' \
_10
-H 'Accept: application/vnd.moneydesktop.sso.v3+xml' \
_10
-H 'MD-API-KEY: {api_key}' \
_10
-H 'Accept-Language: fr-CA' \
_10
-d '<url>
_10
<type>connections_widget</type>
_10
<is_mobile_webview>true</is_mobile_webview>
_10
</url>'